Participants

REQUIREMENT
The base URL for all API requests is https://api.otterwaiver.com
NOTE
The authentication token is required to authorize requests. It MUST be specified in the header parameter for these requests

Get Latest Participants

This operation retreives a list of the latest 50 participants.

 GET /participants/latest

curl --location --request GET 'https://api.otterwaiver.com/participants/latest' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJlbWFpbCI6InF1YW1lbGV4aXpAZ21haWwuY29tIiwiaWQiOiIxYmFmOGVjZi03OGE4LTQ0ZDItOTI3Mi0zNjkzYjk2OGY4ZTEiLCJwcm92aWRlciI6ImxvY2FsIiwicm9sZSI6eyJsYWJlbCI6Ik9yZ2FuaXphdGlvbiBBZG1pbiIsInZhbHVlIjoiT1JHQU5JWkFUSU9OX0FETUlOIn0sIm9yZ2FuaXphdGlvbklkIjoiZDhlYjRmN2UtZTJlZC00YjhiLTg5ZDUtZGIwMGUzNzI3NjRjIiwiaWF0IjoxNjQyMDc0MzM2LCJleHAiOjE2NzM2MzE5MzZ9.B6kv3lZbateWogmyNVvyfD_-Wr9Wf7kMe2NO-IB2g0c'

[
{
  "id": "string",
  "waiverId": "string",
  "type": "string",
  "teamId": "string",
  "signee": {
    "url": "string",
    "date": "2019-08-24T14:15:22Z",
    "typedName": "string",
    "firstName": "string",
    "lastName": "string",
    "email": "string",
    "phone": "string"
  },
  "emergencyContact": {
    "email": "string",
    "phone": "string",
    "fullName": "string",
    "country_code": "string"
  },
  "additionalFieldsData": [
    {
      "questionId": "string",
      "options": [
        {
          "label": "string",
          "value": true
        }
      ],
      "answer": "string"
    }
  ],
  "address": {
    "street": "string",
    "country": "string",
    "state": "string",
    "city": "string",
    "postalCode": "string"
  },
  "hasAdditionalFields": true,
  "source": "string",
  "documentId": "string",
  "documentUrl": "string",
  "certificateUrl": "string",
  "combinedCertificateUrl": "string",
  "timeStamps": {
    "viewed": "2019-08-24T14:15:22Z",
    "signed": "2019-08-24T14:15:22Z",
    "electronicRecordAndSignatureDisclosure": "2019-08-24T14:15:22Z",
    "confirmedAdultConsent": "2019-08-24T14:15:22Z",
    "rightToUseElectronicSignatureDisclosure": "2019-08-24T14:15:22Z",
    "rightToSignForMinor": "2019-08-24T14:15:22Z",
    "completed": "2019-08-24T14:15:22Z",
    "checkedIn": "2019-08-24T14:15:22Z",
    "timeTrackStart": "2019-08-24T14:15:22Z",
    "timeTrackEnd": "2019-08-24T14:15:22Z"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "companyName": "string",
  "imageUrl": "string",
  "adult": {
    "firstName": "string",
    "lastName": "string",
    "age": 0,
    "email": "string",
    "gender": "string",
    "phone": "string"
  },
  "adultId": "string",
  "minorId": "string"
}
]

Response Parameters

This endpoint returns a list of participants.

Get Latest Participants

This operation retreives a list of the latest 50 participant checkins.

 GET /participants/latest/checkins

curl --location --request GET 'https://api.otterwaiver.com/participants/latest/checkins' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJlbWFpbCI6InF1YW1lbGV4aXpAZ21haWwuY29tIiwiaWQiOiIxYmFmOGVjZi03OGE4LTQ0ZDItOTI3Mi0zNjkzYjk2OGY4ZTEiLCJwcm92aWRlciI6ImxvY2FsIiwicm9sZSI6eyJsYWJlbCI6Ik9yZ2FuaXphdGlvbiBBZG1pbiIsInZhbHVlIjoiT1JHQU5JWkFUSU9OX0FETUlOIn0sIm9yZ2FuaXphdGlvbklkIjoiZDhlYjRmN2UtZTJlZC00YjhiLTg5ZDUtZGIwMGUzNzI3NjRjIiwiaWF0IjoxNjQyMDc0MzM2LCJleHAiOjE2NzM2MzE5MzZ9.B6kv3lZbateWogmyNVvyfD_-Wr9Wf7kMe2NO-IB2g0c'

[
{
  "id": "string",
  "waiverId": "string",
  "type": "string",
  "teamId": "string",
  "signee": {
    "url": "string",
    "date": "2019-08-24T14:15:22Z",
    "typedName": "string",
    "firstName": "string",
    "lastName": "string",
    "email": "string",
    "phone": "string"
  },
  "emergencyContact": {
    "email": "string",
    "phone": "string",
    "fullName": "string",
    "country_code": "string"
  },
  "additionalFieldsData": [
    {
      "questionId": "string",
      "options": [
        {
          "label": "string",
          "value": true
        }
      ],
      "answer": "string"
    }
  ],
  "address": {
    "street": "string",
    "country": "string",
    "state": "string",
    "city": "string",
    "postalCode": "string"
  },
  "hasAdditionalFields": true,
  "source": "string",
  "documentId": "string",
  "documentUrl": "string",
  "certificateUrl": "string",
  "combinedCertificateUrl": "string",
  "timeStamps": {
    "viewed": "2019-08-24T14:15:22Z",
    "signed": "2019-08-24T14:15:22Z",
    "electronicRecordAndSignatureDisclosure": "2019-08-24T14:15:22Z",
    "confirmedAdultConsent": "2019-08-24T14:15:22Z",
    "rightToUseElectronicSignatureDisclosure": "2019-08-24T14:15:22Z",
    "rightToSignForMinor": "2019-08-24T14:15:22Z",
    "completed": "2019-08-24T14:15:22Z",
    "checkedIn": "2019-08-24T14:15:22Z",
    "timeTrackStart": "2019-08-24T14:15:22Z",
    "timeTrackEnd": "2019-08-24T14:15:22Z"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "companyName": "string",
  "imageUrl": "string",
  "adult": {
    "firstName": "string",
    "lastName": "string",
    "age": 0,
    "email": "string",
     "gender": "string",
    "phone": "string"
  },
  "adultId": "string",
  "minorId": "string"
}
]

RESPONSE PARAMETERS

This endpoint returns a list of participants.

Get Participant Detail

Retrieves a single verified participant by UUID. The participant must belong to your organization. The response uses the same object shape as one item from Get Latest Participants.

 GET /participants/{participantId}
curl --location --request GET 'https://api.otterwaiver.com/participants/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
--header 'Authorization: Bearer <token>'
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "waiverId": "5f02d61e-9cdd-4d4a-b0ec-b07d9bab681c",
  "type": "adult",
  "signee": {
    "firstName": "Jane",
    "lastName": "Doe",
    "email": "jane@example.com",
    "phone": "5551234567"
  },
  "documentUrl": "string",
  "certificateUrl": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}

PATH PARAMETER

participantId

This path variable is a string (UUID) and represents the unique identifier of a participant.

RESPONSE PARAMETERS

Returns a single participant object (not an array). Click here for the full field definition.

Returns 404 if the participant is not found or does not belong to your organization.